package com.landray.kmss.sys.attachment.integrate.wps.interfaces;

import java.util.List;
import com.landray.kmss.sys.attachment.model.SysAttMain;
import javax.servlet.http.HttpServletRequest;
import net.sf.json.JSONObject;
import java.io.InputStream;
import java.util.Map;
import com.landray.kmss.common.service.IBaseService;

public interface ISysAttachmentWpsCenterOfficeProvider extends IBaseService
{
    String queryTask(final String p0) throws Exception;
    
    void download(final String p0, final String p1) throws Exception;
    
    InputStream downloadWrapHeaderCleanFile(final Map<String, String> p0) throws Exception;
    
    InputStream downloadConvertedFile(final Map<String, String> p0) throws Exception;
    
    void setSingure(final Map<String, String> p0, final String p1, final Map p2) throws Exception;
    
    String doPut(final String p0, final Map<String, Object> p1, final Map<String, String> p2) throws Exception;
    
    String doPost(final String p0, final Map<String, Object> p1, final Map<String, String> p2) throws Exception;
    
    byte[] doGet(final String p0, final Map<String, String> p1, final Map<String, String> p2) throws Exception;
    
    void saveWpsToken(final String p0) throws Exception;
    
    String getWpsToken() throws Exception;
    
    String getLongCallBackToken(final String p0, final String p1, final Boolean p2) throws Exception;
    
    String getOnceCallBackToken(final String p0, final String p1, final String p2) throws Exception;
    
    Boolean validateCallBackToken(final String p0) throws Exception;
    
    JSONObject getWpsCenterViewAndEditUrl(final String p0, final String p1) throws Exception;
    
    JSONObject getWpsCenterEditUrl(final HttpServletRequest p0) throws Exception;
    
    void persistThirdWpsConvert(final String p0, final String p1, final String p2, final String p3, final String p4, final String p5, final String p6, final String p7) throws Exception;
    
    void dealWpsOperateFile(final String p0, final String p1) throws Exception;
    
    String wpsCenterConvertFile(final String p0, final String p1, final String p2, final String p3, final String p4) throws Exception;
    
    String requestSmartOfficial(final String p0, final String p1) throws Exception;
    
    JSONObject getWpsCenterPreviewUrl(final String p0, final String p1) throws Exception;
    
    String wpsCenterOperateClean(final SysAttMain p0, final String p1, final String p2);
    
    String wpsCenterWrapHeader(final List<Map<String, Object>> p0, final List<Map<String, Object>> p1, final String p2, final String p3, final String p4, final String p5, final String p6);
    
    JSONObject getCovertDownload(final String p0) throws Exception;
    
    JSONObject getCovertDownload(final String p0, final String p1, final String p2) throws Exception;
    
    InputStream downloadWithUrl(final String p0) throws Exception;
    
    InputStream downloadByTaskId(final String p0) throws Exception;
    
    String downloadUrlByTaskId(final String p0) throws Exception;
    
    String generateDownloadUrl(final String p0, final String p1) throws Exception;
    
    void saveWpsCenterConfig(final Map<String, String> p0) throws Exception;
    
    void persistThirdWpsConvert(final String p0, final String p1, final String p2, final String p3, final String p4, final String p5, final String p6, final String p7, final String p8) throws Exception;
    
    String getWpsUrl2Converter();
    
    Boolean wpsCenterSyncConvertFile(final Object p0) throws Exception;
    
    void updateAuthExpiredTodo();
    
    String getWpsUrl() throws Exception;
    
    boolean isV6TokenValid(final String p0, final String p1, final String p2) throws Exception;
    
    boolean isV6DownloadTokenValid(final String p0, final String p1, final String p2, final String p3) throws Exception;
}
